Bug 309551 - ResourceMerger crash on notifying the ResourceWatcherManager
Summary: ResourceMerger crash on notifying the ResourceWatcherManager
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: storage (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
: 311046 312516 312527 312716 313152 313580 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-11-04 19:45 UTC by András Manţia
Modified: 2013-01-25 11:45 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2012-11-04 19:45:23 UTC
Application: nepomukservicestub (0.1.0)
KDE Platform Version: 4.9.80 (Compiled from sources)
Qt Version: 4.8.3
Operating System: Linux 3.4.11-2.16-desktop x86_64
Distribution: "openSUSE 12.2 (x86_64)"

-- Information about the crash:
This crash appeared just "out of the blue", while not doing any special with the machine (i was reading some text).

The crash can be reproduced some of the time.

-- Backtrace:
Application: Nepomuk Service Stub (nepomukservicestub), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4102986780 (LWP 2665))]

Thread 18 (Thread 0x7f40efc99700 (LWP 2890)):
#0  0x00007f410712c210 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f410712c499 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f0635 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f410b48d776 in QEventDispatcherGlib::processEvents (this=0x7f40e80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7f40efc98d40, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f410b44deb8 in QEventLoop::exec (this=0x7f40efc98d40, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f410b3118eb in QThread::exec (this=0x1d08190) at thread/qthread.cpp:501
#8  0x00007f410b4286fd in QInotifyFileSystemWatcherEngine::run (this=0x1d08190) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f410b314362 in QThreadPrivate::start (arg=0x1d08190) at thread/qthread_unix.cpp:338
#10 0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f40eddb1700 (LWP 2935)):
#0  0x00007f4107c9d13f in poll () from /lib64/libc.so.6
#1  0x00007f41070f0684 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f410b48d776 in QEventDispatcherGlib::processEvents (this=0x7f40d00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7f40eddb0d50, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f410b44deb8 in QEventLoop::exec (this=0x7f40eddb0d50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f410b3118eb in QThread::exec (this=0x1d9f5b0) at thread/qthread.cpp:501
#7  0x00007f40f8561952 in Soprano::Server::ServerConnection::run() () from /opt/kde4/lib64/libsopranoserver.so.1
#8  0x00007f410b314362 in QThreadPrivate::start (arg=0x1d9f5b0) at thread/qthread_unix.cpp:338
#9  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f40ed5b0700 (LWP 2936)):
#0  0x00007f410712c4a1 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f41070efeb5 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f05ab in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f410b48d776 in QEventDispatcherGlib::processEvents (this=0x7f40dc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7f40ed5afd50, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f410b44deb8 in QEventLoop::exec (this=0x7f40ed5afd50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f410b3118eb in QThread::exec (this=0x1d1b970) at thread/qthread.cpp:501
#8  0x00007f40f8561952 in Soprano::Server::ServerConnection::run() () from /opt/kde4/lib64/libsopranoserver.so.1
#9  0x00007f410b314362 in QThreadPrivate::start (arg=0x1d1b970) at thread/qthread_unix.cpp:338
#10 0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f40ecdaf700 (LWP 2937)):
#0  0x00007f410712c210 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f410712c499 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f055c in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f410b48d776 in QEventDispatcherGlib::processEvents (this=0x7f40d80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7f40ecdaed50, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f410b44deb8 in QEventLoop::exec (this=0x7f40ecdaed50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f410b3118eb in QThread::exec (this=0x1cd6320) at thread/qthread.cpp:501
#8  0x00007f40f8561952 in Soprano::Server::ServerConnection::run() () from /opt/kde4/lib64/libsopranoserver.so.1
#9  0x00007f410b314362 in QThreadPrivate::start (arg=0x1cd6320) at thread/qthread_unix.cpp:338
#10 0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f40d7fff700 (LWP 2939)):
#0  0x00007f4107c9d13f in poll () from /lib64/libc.so.6
#1  0x00007f41070f0684 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f410b48d776 in QEventDispatcherGlib::processEvents (this=0x7f40cc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7f40d7ffed50, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f410b44deb8 in QEventLoop::exec (this=0x7f40d7ffed50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f410b3118eb in QThread::exec (this=0x1b85600) at thread/qthread.cpp:501
#7  0x00007f40f8561952 in Soprano::Server::ServerConnection::run() () from /opt/kde4/lib64/libsopranoserver.so.1
#8  0x00007f410b314362 in QThreadPrivate::start (arg=0x1b85600) at thread/qthread_unix.cpp:338
#9  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f40d77fe700 (LWP 2941)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a5ec0) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a5ec0) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f40d6ffd700 (LWP 2942)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a4610) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a4610) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f40d67fc700 (LWP 2943)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x1cfdc30) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x1cfdc30) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f40d5ffb700 (LWP 2944)):
[KCrash Handler]
#6  0x00007f410b45ad9c in QMetaObject::invokeMethod (obj=0x21b5fa0, member=0x7f40f8808c4e "propertyChanged", type=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1166
#7  0x00007f40f87ecfd6 in invokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., val1=..., val0=..., member=0x7f40f8808c4e "propertyChanged", obj=0x21b5fa0) at /data/development/sources/qt/include/QtCore/../../src/corelib/kernel/qobjectdefs.h:434
#8  Nepomuk2::ResourceWatcherManager::changeProperty (this=<optimized out>, res=..., property=..., addedValues=..., removedValues=...) at /encrypted/home/andris/development/sources/kde-trunk/kde/kdelibs/nepomuk-core/services/storage/resourcewatchermanager.cpp:233
#9  0x00007f40f87dfbc2 in Nepomuk2::ResourceMerger::merge (this=0x7f40d5ffab00, resHash_=...) at /encrypted/home/andris/development/sources/kde-trunk/kde/kdelibs/nepomuk-core/services/storage/resourcemerger.cpp:827
#10 0x00007f40f87c4c1f in Nepomuk2::DataManagementModel::storeResources (this=0x1e662c0, resources=..., app=..., identificationMode=Nepomuk2::IdentifyNew, flags=..., additionalMetadata=...) at /encrypted/home/andris/development/sources/kde-trunk/kde/kdelibs/nepomuk-core/services/storage/datamanagementmodel.cpp:1789
#11 0x00007f40f87cff82 in Nepomuk2::StoreResourcesCommand::runCommand (this=<optimized out>) at /encrypted/home/andris/development/sources/kde-trunk/kde/kdelibs/nepomuk-core/services/storage/datamanagementcommand.h:166
#12 0x00007f40f87d08be in Nepomuk2::DataManagementCommand::run (this=0x2290e30) at /encrypted/home/andris/development/sources/kde-trunk/kde/kdelibs/nepomuk-core/services/storage/datamanagementcommand.cpp:62
#13 0x00007f410b302fc1 in QThreadPoolThread::run (this=0x21a5810) at concurrent/qthreadpool.cpp:107
#14 0x00007f410b314362 in QThreadPrivate::start (arg=0x21a5810) at thread/qthread_unix.cpp:338
#15 0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#16 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f40d57fa700 (LWP 2945)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a4e80) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a4e80) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f40d4ff9700 (LWP 2946)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x1cfe230) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x1cfe230) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f40cbfff700 (LWP 2947)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a4bf0) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a4bf0) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f40cb7fe700 (LWP 2948)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a5970) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a5970) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f40caffd700 (LWP 2949)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a5c70) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a5c70) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f40ca7fc700 (LWP 2950)):
#0  0x00007f410b05b8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b3159b7 in QWaitConditionPrivate::wait (this=0x1e771c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e77de0, mutex=0x1e77dd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x21a4b20) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x21a4b20) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f40ef28b700 (LWP 17731)):
#0  0x00007f410712c210 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f410712c469 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f0296 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f41070f06e8 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f410b48d776 in QEventDispatcherGlib::processEvents (this=0x7f40e00054e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7f40ef28ad50, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f410b44deb8 in QEventLoop::exec (this=0x7f40ef28ad50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f410b3118eb in QThread::exec (this=0x21db810) at thread/qthread.cpp:501
#9  0x00007f40f8561952 in Soprano::Server::ServerConnection::run() () from /opt/kde4/lib64/libsopranoserver.so.1
#10 0x00007f410b314362 in QThreadPrivate::start (arg=0x21db810) at thread/qthread_unix.cpp:338
#11 0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#12 0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f40c89dc700 (LWP 13132)):
#0  0x00007f410b05bc61 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f410b31599b in QWaitConditionPrivate::wait (this=0x1e7f7a0, time=30000) at thread/qwaitcondition_unix.cpp:84
#2  0x00007f410b315761 in QWaitCondition::wait (this=0x1e824a0, mutex=0x1e82498, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f410b303145 in QThreadPoolThread::run (this=0x1db7740) at concurrent/qthreadpool.cpp:141
#4  0x00007f410b314362 in QThreadPrivate::start (arg=0x1db7740) at thread/qthread_unix.cpp:338
#5  0x00007f410b057e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4107ca52bd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f4102986780 (LWP 2665)):
#0  0x00007f410b05e2ed in read () from /lib64/libpthread.so.0
#1  0x00007f410712b82f in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f41070f0209 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f41070f0622 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f41070f07a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f410b48d753 in QEventDispatcherGlib::processEvents (this=0x1a20b40, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007f4108d355e2 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from //opt/qt4/lib/libQtGui.so.4
#7  0x00007f410b44dd24 in QEventLoop::processEvents (this=0x7fffa32df5b0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f410b44deb8 in QEventLoop::exec (this=0x7fffa32df5b0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f410b450fba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#10 0x00007f4108c56132 in QApplication::exec() () from //opt/qt4/lib/libQtGui.so.4
#11 0x0000000000404240 in main (argc=<optimized out>, argv=0x7fffa32dfa38) at /encrypted/home/andris/development/sources/kde-trunk/kde/kdelibs/nepomuk-core/servicestub/main.cpp:177

Reported using DrKonqi
Comment 1 Vishesh Handa 2012-12-02 21:39:16 UTC
*** Bug 311046 has been marked as a duplicate of this bug. ***
Comment 2 Vishesh Handa 2013-01-03 08:42:54 UTC
*** Bug 312516 has been marked as a duplicate of this bug. ***
Comment 3 Vishesh Handa 2013-01-03 10:43:59 UTC
*** Bug 312527 has been marked as a duplicate of this bug. ***
Comment 4 Vishesh Handa 2013-01-06 05:19:27 UTC
*** Bug 312716 has been marked as a duplicate of this bug. ***
Comment 5 Vishesh Handa 2013-01-09 09:58:49 UTC
Git commit b5ae40944e82e018bcffe5eb5789b18316b2a716 by Vishesh Handa.
Committed on 09/01/2013 at 08:19.
Pushed by vhanda into branch 'KDE/4.10'.

ResourceWatcherManager: Improve thread safety

The ResourceWatcherManager is accessed by multiple threads at the same
time, and its internal structures can be changed by some of those
threads.

Use a mutex to protect most of its member functions.

M  +21   -0    services/storage/resourcewatchermanager.cpp
M  +2    -0    services/storage/resourcewatchermanager.h

http://commits.kde.org/nepomuk-core/b5ae40944e82e018bcffe5eb5789b18316b2a716
Comment 6 Vishesh Handa 2013-01-13 04:53:58 UTC
*** Bug 313152 has been marked as a duplicate of this bug. ***
Comment 7 Vishesh Handa 2013-01-25 11:45:53 UTC
*** Bug 313580 has been marked as a duplicate of this bug. ***